- Qt 6.11
- Qt Multimedia
- QML Types
- mediaMetaData
- Qt 6.11.1 Reference Documentation

# mediaMetaData QML Value Type

Provides meta-data for media files. More...

Import Statement: | `import QtMultimedia`

## Methods

- void clear()
- void insert(Key k, variant value)
- bool isEmpty()
- list<Key> keys()
- string metaDataKeyToString(Key key)
- void remove(Key k)
- string stringValue(Key key)
- variant value(Key key)

## Detailed Description

Meta-data is supplementary data describing media. See QMediaMetaData for available meta data attributes.

## Method Documentation

### void clear()

Removes all data from the MediaMetaData object.

### void insert(Key k, variant value)

Inserts a value into a Key: k.

### bool isEmpty()

Returns `true` if the meta data contains no items: otherwise returns `false`.

### list<Key> keys()

Returns a list of MediaMetaData.Keys.

### string metaDataKeyToString(Key key)

returns a string representation of key that can be used when presenting meta data to users.

### void remove(Key k)

Removes meta data from a Key: k.

### string stringValue(Key key)

Returns the meta data for key key as a QString.

This is mainly meant to simplify presenting the meta data to a user.

### variant value(Key key)

Returns the meta data value for Key key, or a null QVariant if no meta-data for the key is available.